<!-- Creado: Félix Ricardo Oliva Alonso, 12/12/2016. Se crea la vista para editar privilegios perfiles -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 20/12/2016.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 21/12/2016.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 04/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 17/01/2017.  -->
<!-- Modificado: Félix Ricardo Oliva Alonso, 18/01/2017.  -->
<?php

	use App\Libraries\ejLib;
	$var = ejLib::getInstance();
	$soapclient = $var->getWs();
	$wsClave = $var->get_wsClave();

	$response = $soapclient->vCat_CentroSalud($wsClave);
	$RESPUESTAS = new SimpleXMLElement(utf8_encode($response));

	$response2 = $soapclient->vCat_PerfilesFE($wsClave);
	$RESPUESTAS2 = new SimpleXMLElement(utf8_encode($response2));

	$response3 = $soapclient->vCat_ModulosFE($wsClave);
	$RESPUESTAS3 = new SimpleXMLElement(utf8_encode($response3));

//print_r($_POST);return;
?>


<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>


<script>
	$(document).ready(function(){
		$( ".cerrar_form" ).click(function() {
			jqGetAjax("cerrar","tblMovimientos2", { });
		});

	 var id_perfil = $('#id_perfil_ap4').val();
	 var centro_sal = $('#id44').val();
	 $('#id55').val(id_perfil);
	 $('#cen_sal_ap5').val(centro_sal);

	 alert('Mi id perfil: '+id_perfil+' Mi CS: ' + centro_sal);


/*
	 $( "#btn_listar_adcon" ).click(function() {
		 jqGetAjax("perfiles-prueba","pprueba", {  });
	 });
*/

		$("#btn_listar_adcon").click(function(){
			 $.ajax({
							type: "POST",
							url: 'perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE',
							data: $("#admin_perfiles5").serialize(),
							success: function(data)
							{

								alert('Respuesta: '+data);
								$('#perfiles_tabla tr').remove();
								xmlDoc = $.parseXML(data),
								$xml = $( xmlDoc );

								var tabla = '<table border="1" class="table table-bordered" >';
				                tabla += '<tr>';
				                tabla += '<th>N°</th><th>Módulo</th><th>Título</th><th>Descripción</th><th>URL</th><th>Opciones</th>';
				               	tabla += '</tr>';
				               	tr = '';

				               	var baja='<a href="#perfiles_tabla" class="baja">Baja </a>';
				               	var editable='<a href="#perfiles_tabla" class="editable">Editable </a>';
				               	var excluida='<a href="#perfiles_tabla" class="excluida">Excluida </a>';
				               	var visible='<a href="#perfiles_tabla" class="visible">Visible </a>';
				               	var asignar='<a href="#perfiles_tabla" class="asignar">Asignar </a>';


				               	//var visible='<a href="#" class="visible">'+'Visible'+'</a>';
				                var con = 1;
				                $($xml).find("respuesta").each(function(){

				                	for (i = 1; i < 2; i++)
				                	{

										var id_modulo = ($(this).find("Respuesta>titulomodulo").text());
										var titulo = ($(this).find("Respuesta>titulo").text());
										var descripcion = ($(this).find("Respuesta>descripcion").text());
										var ubicacion = ($(this).find("Respuesta>ubicacion").text());
										var id_acceso = ($(this).find("Respuesta>id_acceso").text());

										var status_baja_log = ($(this).find("Respuesta>baja_log").text());
										var status_editable = ($(this).find("Respuesta>editable").text());
										var status_excluida = ($(this).find("Respuesta>excluida").text());
										var status_visible = ($(this).find("Respuesta>visible").text());
										var status_asignada = ($(this).find("Respuesta>asignada").text());

										if (status_asignada==0 || status_asignada==' ' ) {
											tr += '<tr>';
											tr += '<td class="control2">'+ con +'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td>'+asignar+'</td><td  class="id_acceso" style="display:none">'+id_acceso+'</td>';
											tr += '</tr>';
											con++;

							            }  

							            else if (status_asignada==1) 
							            {
							            	
											if (status_visible==1  ) 
											{
												tr += '<tr>';
												tr += '<td class="control2">'+ con +'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td>'+baja+excluida+visible+editable+'</td><td class="id_acceso" style="display:none">'+id_acceso+'</td>';
												tr += '</tr>';
												con++;
									        } 

									        else  
									        {

												tr += '<tr>';
												tr += '<td class="control2">'+ con +'</td><td>'+ id_modulo +'</td><td>' + titulo +'</td><td>' + descripcion +'</td><td>'+ ubicacion +'</td><td>'+baja+excluida+visible+'</td><td class="id_acceso" style="display:none">'+id_acceso+'</td>';
												tr += '</tr>';
												con++;
											}

							            }  


					                 }
				                });

				                tabla += tr;
				                tabla += '</table>';
				                $('#perfiles_tabla').html( tabla );

							},

							error : function(xhr, status)
							{alert("error"); },
						});
			 return false;
		});





var baja='<a href="#" class="baja">Baja </a>';
var editable='<a href="#" class="editable">Editable </a>';
var excluida='<a href="#" class="excluida">Excluida </a>';
var visible='<a href="#" class="visible">Visible </a>';


	

	 ///////////////////////////////////////////////////////////
	 //Asignar
	 ///////////////////////////////////////////////////////////

$(document).on("click", ".asignar", function(){
       	 	var currentRow = $(this).closest("tr");
	 		var id_perfil = $('#id55').val();
	 		var centro_sal = $('#cen_sal_ap5').val();
	 		var id_acceso = currentRow.find(".id_acceso").html();

	 		var asignar = currentRow.find(".asignar").html();
	 		var control = currentRow.find(".control2").html();
	 		alert('Id Perfil> '+id_perfil+' CS> '+centro_sal+' Id Acceso> '+id_acceso+' asignar> '+asignar+' Control> '+control );

	 		var estado = "Asignar ";
	 		if(asignar.indexOf(estado) != -1){
	 			var asignar = 0;
	 		}
	 		else {
	 			var asignar = 1;
	 		}


	 		$.post({
	 							url:   'perfilesasignar',
	 							type:  'POST',
	 							data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso},

								success:  function (response) {
								alert('Metodo Asignar: '+response);

						        xmlDoc = $.parseXML( response ),
                                $xml = $( xmlDoc );
                                $($xml).each(function(){

                                var error = ($(this).find("Respuesta>error").text());

								if (error == 0)
								{ 
								    if (asignar == 0)
									{
										$( "td" ).find( ".asignar" ).eq( control-1 ).html("Asignado "+baja+excluida+visible);
									}

									else
								    {
										$( "td" ).find( ".asignar" ).eq( control-1 ).html("Asignar ");
								    }

								}

								else
								{$.notify("Disculpe, existió un problema", "error");}

                               });

								},

								error : function(xhr, status) {$.notify("Disculpe, existió un problema", "error");},
	 				});



  });







///////////////////////////////////////////////////////////
//Baja
///////////////////////////////////////////////////////////

/*
$(document).on("click", ".baja", function(){

	var currentRow = $(this).closest("tr");
	var id_perfil = $('#id55').val();
	var centro_sal = $('#cen_sal_ap5').val();
	var id_acceso = currentRow.find(".id_acceso").html();

	var baja = currentRow.find(".status_baja_log").html();
	var control = currentRow.find(".control2").html();
	alert('Id Perfil> '+id_perfil+' CS> '+centro_sal+' Id Acceso> '+id_acceso+ ' Baja> '+baja+' Control> '+control );

	if(baja==0)
	{var baja = 1;}

	else 
	{var baja = 0;}

	$.post({
	 	url:   'perfilesbaja',
	 	type:  'POST',
	 	data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'baja':baja},

		success:  function (response) {
		xmlDoc = $.parseXML( response ),
        $xml = $( xmlDoc );
        $($xml).each(function(){

	       	var error = ($(this).find("Respuesta>error").text());
	       	var titulo = ($(this).find("Respuesta>titulo").text());
			var descripcion = ($(this).find("Respuesta>descripcion").text());

			if (error == 0)
			{ 
				if (baja == 1)
				{	$( "td" ).find( ".baja" ).eq( control-1 ).html(asignar);
					$( "td" ).find( ".excluida" ).eq( control-1 ).html('');
					$( "td" ).find( ".visible" ).eq( control-1 ).html('');
					$( "td" ).find( ".editable" ).eq( control-1 ).html('');
				}

				else
				{
					$( "td" ).find( ".baja" ).eq( control-1 ).html(baja+excluida+visible);
				}
			}

			if(error==1)
			{
				$.notify(descripcion, "error");
				$.notify(titulo, "error");
			}

            });

		},

		error : function(xhr, status) {$.notify("Disculpe, existió un problema", "error");},
	});

});

*/









	 ///////////////////////////////////////////////////////////
	 //Baja
	 ///////////////////////////////////////////////////////////
	
	 	 $(document).on("click", ".baja", function(){

	 		var currentRow = $(this).closest("tr");
	 		var id_perfil = $('#id55').val();
	 		var centro_sal = $('#cen_sal_ap5').val();
	 		var id_acceso = currentRow.find(".id_acceso").html();

	 		var baja = currentRow.find(".baja").html();
	 		var control = currentRow.find(".control2").html();
	 		alert('Id Perfil> '+id_perfil+' CS> '+centro_sal+' Id Acceso> '+id_acceso+ ' Baja> '+baja+' Control> '+control );

	 		var estado = "Baja ";
	 		if(baja.indexOf(estado) != -1){
	 			var baja = 0;
	 		}
	 		else {
	 			var baja = 1;
	 		}
	 		//alert("Nuevo estado: "+baja);

	 		$.post({
	 							url:   'perfilesbaja',
	 							type:  'POST',
	 							data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'baja':baja},
								success:  function (response) {
								alert('Metodo Baja: '+response);
								 if (status == 1)
								 {
									$( "td" ).find( ".baja" ).eq( control-1 ).html("Baja1 ");
								 }

								 else
								 {
									$( "td" ).find( ".baja" ).eq( control-1 ).html("Baja2 ");
								 }
								 $.notify("Cambio de estado exitoso", "success");
								},

								error : function(xhr, status) {
									 $.notify("Disculpe, existió un problema", "error");

								 },
	 				});

	 	});




/*
	 $(document).on("click", ".baja", function(){
	     $(this).text("It works!");
	 });

	 */
///////////////////////////////////////////////////////////
//Editable
///////////////////////////////////////////////////////////
$(function(){
$(document).on("click", ".editable", function(){

		var currentRow = $(this).closest("tr");
	 	var id_perfil = $('#id55').val();
	 	var centro_sal = $('#cen_sal_ap5').val();
	 	var id_acceso = currentRow.find(".id_acceso").html();
		var editable = currentRow.find(".editable").html();
		var control = currentRow.find(".control2").html();
		alert('Id Perfil: '+id_perfil+' CS: '+centro_sal+' Id Acceso: '+id_acceso+ ' editable:'+editable+' Control: '+control );

		var estado = "Editable";
		if(editable.indexOf(estado) != -1){
			var editable = 0;
		}
		else {
			var editable = 1;
		}
		alert("Estado: "+editable);

		$.post({
							url:   'perfileseditable',
							 type:  'POST',
							data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'editable':editable},
							success:  function (response) {
							 alert(response);
							 if (status == 1)
							 {
								 $( "td" ).find( ".editable" ).eq( control-1 ).html("Editable1 ");
							 }

							 else
							 {
								 $( "td" ).find( ".editable" ).eq( control-1 ).html("Editable2 ");
							 }
							 $.notify("Cambio de estado exitoso", "success");
							},

							error : function(xhr, status) {
								 $.notify("Disculpe, existió un problema", "error");

							 },
				});

	});

});

///////////////////////////////////////////////////////////
//Excluida
///////////////////////////////////////////////////////////
$(function(){
	$(document).on("click", ".excluida", function(){

		var currentRow = $(this).closest("tr");
	 	var id_perfil = $('#id55').val();
	 	var centro_sal = $('#cen_sal_ap5').val();
	 	var id_acceso = currentRow.find(".id_acceso").html();
		var excluida = currentRow.find(".excluida").html();
		var control = currentRow.find(".control2").html();
		alert('Id Perfil: '+id_perfil+' CS: '+centro_sal+' Id Acceso: '+id_acceso+ ' excluida:'+excluida+' Control: '+control );

		var estado = "Excluida";
		if(excluida.indexOf(estado) != -1){
			var excluida = 0;
		}
		else {
			var excluida = 1;
		}
		alert("Estado: "+excluida);

		$.post({
							url:   'perfilesexcluida',
							 type:  'POST',
							data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'excluida':excluida},
							success:  function (response) {
							 alert(response);
							 if (status == 1)
							 {
								 $( "td" ).find( ".excluida" ).eq( control-1 ).html("Excluida1 ");
							 }

							 else
							 {
								 $( "td" ).find( ".excluida" ).eq( control-1 ).html("Excluida2 ");
							 }
							 $.notify("Cambio de estado exitoso", "success");
							},

							error : function(xhr, status) {
								 $.notify("Disculpe, existió un problema", "error");

							 },
				});

	});

});


///////////////////////////////////////////////////////////
//Visible
///////////////////////////////////////////////////////////
$(function(){
	$(document).on("click", ".visible", function(){

		var currentRow = $(this).closest("tr");
	 	var id_perfil = $('#id55').val();
	 	var centro_sal = $('#cen_sal_ap5').val();
	 	var id_acceso = currentRow.find(".id_acceso").html();
		var visible = currentRow.find(".visible").html();
		var control = currentRow.find(".control2").html();
		alert('Id Perfil: '+id_perfil+' CS: '+centro_sal+' Id Acceso: '+id_acceso+ ' visible:'+visible+' Control: '+control );

		var estado = "Visible";
		if(visible.indexOf(estado) != -1){
			var visible = 0;
		}
		else {
			var visible = 1;
		}
		alert("Estado: "+visible);


		$.post({
							url:   'perfilesvisible',
							 type:  'POST',
							data:  {'id_perfil':id_perfil,'centro_sal':centro_sal,'id_acceso':id_acceso,'visible':visible},
							success:  function (response) {
							 alert('Respuesta: '+response);
							 if (status == 1)
							 {

								 $( "td" ).find( ".visible" ).eq( control-1 ).html("Visible1 ");

							 }

							 else
							 {

							var baja='<a href="#" class="baja">Baja </a>';
							var editable='<a href="#" class="editable">Editable </a>';
							var excluida='<a href="#" class="excluida">Excluida </a>';
							var visible='<a href="#" class="visible">Visible </a>';

							$( "td" ).find( ".asignar" ).eq( control-1 ).html(baja+editable+visible+excluida);

								 $( "td" ).find( ".visible" ).eq( control-1 ).html("Visible2 ");
							 }
							 $.notify("Cambio de estado exitoso", "success");
							},

							error : function(xhr, status) {
								 $.notify("Disculpe, existió un problema", "error");

							 },
				});

	});

});











});
 </script>




<div id="lista_alumnos"></div>


{{-- <form id="admin_perfiles5" method="post" action="{{url('perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE')}}" > --}}
<form id="admin_perfiles5" >
	<input type="text" name="id55" id="id55" style="display: none">
	<input type="text" name="cen_sal_ap5" id="cen_sal_ap5" style="display: none">

		<input type="hidden" name="_token" value="{{csrf_token()}}">
	<div class="row">
		<div class="titulo_fondo">
			<div class="titulo_pagina2">EDITAR PRIVILEGIOS DEL PERFIL</div>
	  <a href="#h_logo"><img src="Img/close.png" height="20"  class="cerrar_form" /></a>
		</div>
	</div>

	<div class="row">
		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3">Título</span>
				<input type="text" class="form-control" id="titulo_ap5" name="titulo_ap5" >
			</div>
		</div>

		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3">Módulo</span>
				<select id="modulo_ap5" name="modulo_ap5" class="form-control">
					<option disabled selected>Elija una opción</option>
					<option value="">TODOS</option>
						@foreach($RESPUESTAS3->respuesta as $mcat)
							<option value="{!! $mcat->id_modulo !!}">{!! $mcat->titulo !!}</option>
						@endforeach
				</select>
			</div>
		</div>

		<div class=" form-group col-md-3 ">
			<div class="input-group input-group-sm col-md-12">
				<span class="input-group-addon" id="sizing-addon3">Opción</span>
				<select id="opcion_ap5" name="opcion_ap5" class="form-control ">
					<option disabled selected>Elija una opción</option>
					<option value="">TODOS</option>
					<option value="Asignada">ASIGANADA</option>
					<option value="Baja">BAJA</option>
					<option value="Editable">EDITABLE</option>
					<option value="Excluida">EXCLUIDA</option>
					<option value="Visible">VISIBLE</option>
				</select>
			</div>
		</div>

		<div class="input-group-sm form-group col-md-1">
			<button class="col-md-offset-5" type="submit"  name="btn_listar_adcon" id="btn_listar_adcon">Listar</button>
		</div>
	</div>
</form>


	<div id="perfiles_tabla">
		<table border="1" class="table table-bordered" >
			<tr><th class="col-sm-1">N°</th><th class="col-sm-2">Módulo</th><th class="col-sm-2">Título</th>
			<th class="col-sm-3">Descripción</th><th class="col-sm-2">URL</th><th class="col-sm-2">Opciones</th></tr>


		</table>
	</div>
